Unofficial CSE API Docs

Live-probed documentation for https://www.cse.lk/api. Not affiliated with the Colombo Stock Exchange.

POST /marketSummery

market probe ok

Session aggregates (tradeVolume, shareVolume, trades).

Used by UI: —

Last probe status: 200 · expect [200]

curl

curl -sS -X POST 'https://www.cse.lk/api/marketSummery' \
  -H 'Content-Type: application/json' \
  -H 'Origin: https://www.cse.lk' -H 'Referer: https://www.cse.lk/' \
  -d '{}'

Known failures

Fields

Sample

{
  "_probe": {
    "id": "marketSummery",
    "url": "https://www.cse.lk/api/marketSummery",
    "method": "POST",
    "status": 200,
    "verified_at": "2026-07-16T16:34:30.998373+00:00",
    "fingerprint": {
      "type": "object",
      "keys": [
        "id",
        "shareVolume",
        "tradeDate",
        "tradeVolume",
        "trades"
      ]
    }
  },
  "response": {
    "id": 36865407,
    "tradeVolume": 1486150002.75,
    "shareVolume": 43278766,
    "tradeDate": 1784193492268,
    "trades": 13502
  }
}